import { Cookie } from "puppeteer";
export interface EnhancedCookie extends Cookie {
    expiresUTC?: Date;
    expiresDays?: number;
    event_meta_data?: {};
}
export declare function collectLinks(page: any, logger: any): Promise<unknown[]>;
export declare function mapLinksToParties(links: any, hosts: any, refs_regexp: any): Promise<{
    thirdParty: any[];
    firstParty: any[];
}>;
export declare function filterSocialPlatforms(links: any): Promise<any>;
export declare function filterKeywords(links: any): Promise<any>;
export declare function unsafeWebforms(page: any): Promise<any>;
export declare function collectCookies(page: any, start_time: any): Promise<EnhancedCookie[]>;
